package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.sql.Timestamp;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpPengadaanResponse extends BaseResponse {

    private Long id;
    private Long drpId;
    private String nomor;
    private String namaPengadaan;
    private Long lokasiId;
    private Long jenisPengadaanId;
    private Long unitInisiatorId;
    private BigDecimal pagu;
    private Long sumberDanaId;
    private Long supplyPositioningMatrixId;
    private Long metodePengadaanId;
    private Long metodePenyampaianId;
    private Long jenisKontrakId;
    private Long strategiPengadaanId;
    private Timestamp rencanaTanggal;
    private Timestamp targetTanggal;
    private BigDecimal hpe;
    private Boolean isActive;
    private Boolean isDelete;
}
